Bug 1252429 - Improve scalability of DSL based filters by using the publish/subscribe feature of org.infinispan.objectfilter.Matcher
Improve scalability of DSL based filters by using the publish/subscribe featu...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: DR2
: 6.6.0
Assigned To: Adrian Nistor
Martin Gencur
:
Depends On:
Blocks: 1238164
  Show dependency treegraph
 
Reported: 2015-08-11 07:59 EDT by Adrian Nistor
Modified: 2015-11-08 20:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5352 Major Resolved Improve scalability of DSL based filters by using the publish/subscribe feature of org.infinispan.objectfilter.Matcher 2017-05-25 22:17 EDT
JBoss Issue Tracker ISPN-5390 Major Resolved QueryCache should use the internal cache registry 2017-05-25 22:17 EDT
JBoss Issue Tracker ISPN-5435 Major Resolved Add annotation attribute to allow for listener to specify whether it receives pre, post or all events 2017-05-25 22:17 EDT

  None (edit)
Description Adrian Nistor 2015-08-11 07:59:28 EDT

    
Comment 3 Vojtech Juranek 2015-09-03 05:04:28 EDT
Based on ClusteredListenerWithDslFilterProfilingTest and ClusteredListenerWithDslFilterTest there's pretty nice improvement, in case of ClusteredListenerWithDslFilterProfilingTest.testEventFilterPerformance in order of units of percent, in case of ClusteredListenerWithDslFilterTest.testEventFilterPerformance even in order of dozens of percent (DR1 has adjusted timestamps in the same way DR2 has):

DR2:
    ClusteredListenerWithDslFilterProfilingTest.testEventFilterPerformance took ms: 22039
    ClusteredListenerWithDslFilterProfilingTest.testEventFilterPerformance took ms: 20632
    ClusteredListenerWithDslFilterProfilingTest.testEventFilterPerformance took ms: 19594
DR1:
    ClusteredListenerWithDslFilterTest.testEventFilterPerformance took 23359 ms
    ClusteredListenerWithDslFilterTest.testEventFilterPerformance took 21693 ms
    ClusteredListenerWithDslFilterTest.testEventFilterPerformance took 21878 ms

DR2:
    ListenerWithDslFilterProfilingTest.testEventFilterPerformance took ms: 3178
    ListenerWithDslFilterProfilingTest.testEventFilterPerformance took ms: 3234
    ListenerWithDslFilterProfilingTest.testEventFilterPerformance took ms: 3156
DR1:
    ListenerWithDslFilterTest.testEventFilterPerformance took 7342 ms
    ListenerWithDslFilterTest.testEventFilterPerformance took 8759 ms
    ListenerWithDslFilterTest.testEventFilterPerformance took 8249 ms

Note You need to log in before you can comment on or make changes to this bug.